Policy Metadata - List

Get a list of the policy metadata resources.

GET https://management.azure.com/providers/Microsoft.PolicyInsights/policyMetadata?api-version=2024-10-01
GET https://management.azure.com/providers/Microsoft.PolicyInsights/policyMetadata?api-version=2024-10-01&$top={$top}

URI Parameters

Name In Required Type Description
api-version
query True

string

minLength: 1

The API version to use for this operation.

$top
query

integer (int32)

minimum: 0

Maximum number of records to return.

Responses

Name Type Description
200 OK

PolicyMetadataCollection

The request has succeeded.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get collection of policy metadata resources
Get collection of policy metadata resources using top query parameter

Get collection of policy metadata resources

Sample request

GET https://management.azure.com/providers/Microsoft.PolicyInsights/policyMetadata?api-version=2024-10-01

Sample response

{
  "value": [
    {
      "name": "NIST_SP_800-53_R4_AC-2",
      "type": "Microsoft.PolicyInsights/policyMetadata",
      "id": "/providers/Microsoft.PolicyInsights/policyMetadata/NIST_SP_800-53_R4_AC-2",
      "properties": {
        "additionalContentUrl": "https://aka.ms/NIST_SP_800-53_R4_AC-2",
        "category": "Access control",
        "metadata": {},
        "metadataId": "NIST SP 800-53 R4 AC-2",
        "owner": "Shared",
        "title": "Account Management"
      }
    }
  ]
}

Get collection of policy metadata resources using top query parameter

Sample request

GET https://management.azure.com/providers/Microsoft.PolicyInsights/policyMetadata?api-version=2024-10-01&$top=1

Sample response

{
  "value": [
    {
      "name": "NIST_SP_800-53_R4_AC-2",
      "type": "Microsoft.PolicyInsights/policyMetadata",
      "id": "/providers/Microsoft.PolicyInsights/policyMetadata/NIST_SP_800-53_R4_AC-2",
      "properties": {
        "additionalContentUrl": "https://aka.ms/NIST_SP_800-53_R4_AC-2",
        "category": "Access control",
        "metadata": {},
        "metadataId": "NIST SP 800-53 R4 AC-2",
        "owner": "Shared",
        "title": "Account Management"
      }
    }
  ]
}

Definitions

Name Description
ErrorDefinition

Error definition.

ErrorResponse

Error response.

PolicyMetadataCollection

Collection of policy metadata resources.

SlimPolicyMetadata

Slim version of policy metadata resource definition, excluding properties with large strings

TypedErrorInfo

Scenario specific error details.

ErrorDefinition

Error definition.

Name Type Description
additionalInfo

TypedErrorInfo[]

Additional scenario specific error details.

code

string

Service specific error code which serves as the substatus for the HTTP error code.

details

ErrorDefinition[]

Internal error details.

message

string

Description of the error.

target

string

The target of the error.

ErrorResponse

Error response.

Name Type Description
error

ErrorDefinition

The error details.

PolicyMetadataCollection

Collection of policy metadata resources.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

SlimPolicyMetadata[]

The SlimPolicyMetadata items on this page

SlimPolicyMetadata

Slim version of policy metadata resource definition, excluding properties with large strings

Name Type Description
id

string

The ID of the policy metadata.

name

string

The name of the policy metadata.

properties.additionalContentUrl

string

Url for getting additional content about the resource metadata.

properties.category

string

The category of the policy metadata.

properties.metadata

Additional metadata.

properties.metadataId

string

The policy metadata identifier.

properties.owner

string

The owner of the policy metadata.

properties.title

string

The title of the policy metadata.

type

string

The type of the policy metadata.

TypedErrorInfo

Scenario specific error details.

Name Type Description
info

The scenario specific error details.

type

string

The type of included error details.